package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST2_RVL_KEY {
    public @Getter @Builder.Default String RVL_CONT_NO = StringUtils.repeat(
            ' ', 13);
    public @Getter @Builder.Default String RVL_IITEM = StringUtils.repeat(' ',
            5);
    public @Getter @Builder.Default String RVL_IITEM_GB = StringUtils.repeat(
            ' ', 2);

    public void setRVL_CONT_NO(String source) {
        RVL_CONT_NO = StringUtils
                .truncate(StringUtils.rightPad(source, 13), 13);
    }

    public void setRVL_IITEM(String source) {
        RVL_IITEM = StringUtils.truncate(StringUtils.rightPad(source, 5), 5);
    }

    public void setRVL_IITEM_GB(String source) {
        RVL_IITEM_GB = StringUtils.truncate(StringUtils.rightPad(source, 2), 2);
    }

    public void set(String source) {
        RVL_CONT_NO = source.substring(0, 13);
        RVL_IITEM = source.substring(13, 18);
        RVL_IITEM_GB = source.substring(18, 20);
    }

    @Override
    public String toString() {
        return getRVL_CONT_NO() + getRVL_IITEM() + getRVL_IITEM_GB();
    }
}
